<?php
/**
 * Plugin dashboard welcome section
 *
 * @package URG
 */

?>
<?php
if( ! class_exists( 'URG_Welcome' ) ) {
	class URG_Welcome {
		public function __construct() {

			if( ! is_admin() ){
				return;
			}

			$this->main();
		}

		// Add page to menu
		public function main(){
			add_action('admin_menu', array($this, 'add_menu_link'));
		}

		function add_menu_link(){
			add_options_page(esc_html__('Ultimate Row Gradient Background Light Dashboard', 'urg'), esc_html__('Row Gradient', 'urg'), 'manage_options', 'urg_dashboard', array($this, 'dashboard_welcome'), 'dashicons-align-center');
		}

		// Present page
		public function dashboard_welcome() {

			?>
			<div class="wrap about-wrap dashboard-wrapper welcome-wrapper">
				<?php include URGL_PLUGIN_PATH . 'includes/dashboard/templates/header.php'; ?>

				<div class="plugin-welcome-wrapper">
					<div class="feature-section two-col">
						<div class="col">
							<h3 class="text-color-highlight"><?php esc_html_e( 'Before you start! Are your hosting good enough?', 'urg' ); ?></h3>
							<p>
								<?php
								wp_kses_post(_e( 'Take your site to a next level with WordPress and SEO optimized unlimited hosting from <a href="'.esc_url( 'https://magniumthemes.com/go/bluehost/').'" target="_blank">Bluehost</a>. Just €2.65/month.', 'urg' ));
								?>
							</p>
							<a class="button button-primary" href="<?php echo esc_url( 'https://magniumthemes.com/go/bluehost/' ) ?>" target="_blank"><?php esc_html_e( 'Upgrade your hosting', 'urg' ); ?></a> <span class="button-description">and get Free SSL certificate and domain</span>

							<h3 style="color: red;"><?php esc_html_e( 'Purchase PRO version', 'urg' ); ?></h3>
							<p class="about"><?php esc_html_e( '3-4 colors gradients, vertical and diagonal gradient types, animated gradients, dedicated support and more!', 'urg' ); ?></p>

							<a href="https://magniumthemes.com/go/purchase-urg/" target="_blank" class="button button-primary"><?php esc_html_e( 'Purchase PRO version', 'urg' ); ?></a>

						</div>
						<div class="col">

							<h3><?php esc_html_e( 'Read Plugin Documentation', 'urg' ); ?></h3>
							<p class="about"><?php esc_html_e( 'Please read our detailed step by step plugin documentation first to understand how to use plugin and all its features.', 'urg' ); ?></p>

							<a href="<?php echo esc_url( 'http://magniumthemes.com/go/urg-docs/' ); ?>" target="_blank" class="button button-secondary"><?php esc_html_e( 'Read Documentation', 'urg' ); ?></a>

							<h3><?php esc_html_e( 'Speed Up, Optimize and Secure your website', 'urg' ); ?></h3>
							<p class="about"><?php esc_html_e( 'Get maximum from your website with our professional Premium "All in one" WordPress Security, Speed and SEO optimization services.', 'urg' ); ?></p>

							<a href="<?php echo esc_url( 'http://magniumthemes.com/go/website-boost/' ); ?>" target="_blank" class="button button-secondary"><?php esc_html_e( 'Learn more', 'urg' ); ?></a>

						</div>
					</div>
					<hr>

				</div>
			</div>
			<?php
		}

	}
}

new URG_Welcome();
