<?php
/**
 * Plugin dashboard
 *
 * @package URG
 */

/**
 * Theme dashboard class.
 */
class URG_Dashboard {

	public function __construct() {

		require_once URGL_PLUGIN_PATH.'includes/dashboard/classes/plugin-welcome.php';

		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );

		$plugin = URGL_PLUGIN_FILE;
		add_filter("plugin_action_links_$plugin", array($this, 'plugin_add_settings_link'));

	}

	function plugin_add_settings_link( $links ) {
	    $links[] = '<a href="' . admin_url( 'admin.php?page=urg_settings' ) . '">' . esc_html__('Settings', 'urg') . '</a>';
	    $links[] = '<a target="_blank" style="color: green;" href="https://magniumthemes.com/wordpress-plugins/">' . esc_html__('Premium WordPress plugins', 'urg') . '</a>';
	    $links[] = '<a target="_blank" style="color: red;" href="https://magniumthemes.com/go/purchase-urg/">' . esc_html__('Purchase PRO version', 'urg') . '</a>';

	    return $links;
	}

	// Get plugin version
	static function get_plugin_version_number($plugin_name) {
	    // If get_plugins() isn't available, require it
	    if ( ! function_exists( 'get_plugins' ) )
	        require_once( ABSPATH . 'wp-admin/includes/plugin.php' );

	        // Create the plugins folder and file variables
	    $plugin_folder = get_plugins( '/' . $plugin_name );
	    $plugin_file = $plugin_name.'.php';

	    // If the plugin version number is set, return it
	    if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
	        return $plugin_folder[$plugin_file]['Version'];

	    } else {
	    // Otherwise return null
	        return '';
	    }
	}

	/**
	 * Enqueue scripts for dashboard page.
	 *
	 * @param string $hook Page hook.
	 */
	public function enqueue_scripts( $hook ) {

		wp_enqueue_media();
		wp_enqueue_style( "dashboard-style", URGL_PLUGIN_DIR . '/includes/dashboard/assets/style.css' );

		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wp-color-picker' );
	}
}

new URG_Dashboard();
