<?php
/**
 * Load custom VC shortcodes
 */

if (!class_exists('URG_Shortcodes')) {
	class URG_Shortcodes {

		public function __construct() {
			add_action('after_setup_theme', array($this, 'urg_visual_composer_custom_init'));
		}

		// Load WPBakery Page Builder elements
		public function urg_visual_composer_custom_init() {

			// Templates overrides
			$vc_templates_dir = URGL_PLUGIN_PATH.'includes/vc_templates';
			vc_set_shortcodes_templates_dir($vc_templates_dir);

			// Animation CSS media fix for VC
			wp_deregister_style('vc_animate-css');
			wp_register_style('vc_animate-css', vc_asset_url( 'lib/bower/animate-css/animate.min.css' ), false, WPB_VC_VERSION);

			// Adding new Param Types for VC
			vc_add_shortcode_param('mgt_separator', array($this, 'mgt_separator_settings'));

			// Custom VC Row
			include_once('shortcodes/vc-row-custom.php');

		}

		// Separator - custom element for VC settings
		public function mgt_separator_settings( $settings, $value ) {

			return '<div class="mgt_separator_block">'
	             .'<input name="' . esc_attr( $settings['param_name'] ) . '" class="wpb_vc_param_value wpb-textinput ' .
	             esc_attr( $settings['param_name'] ) . ' ' .
	             esc_attr( $settings['type'] ) . '_field" type="hidden" value="' . esc_attr( $value ) . '" />' .
	             '</div>'; // This is html markup that will be outputted in content elements edit form
		}

	}
}

new URG_Shortcodes();
