<?php
/*
* Custom VC Row settings
*/
if (!class_exists('URG_VC_Row_Custom')) {
    class URG_VC_Row_Custom {

        public function __construct() {
            $this->init();
        }

        public function init() {
            /*
            *   Row gradient
            */
            $attributes[] =  array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Add color gradient to row background?', 'urg' ),
                'param_name' => 'vc_row_bg_grad',
                "description"   => esc_html__("Use this to add color gradient to row background.", 'urg'),
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] =  array(
                'type' => 'checkbox',
                'heading' => esc_html__( 'Animate gradient?', 'urg' ),
                'param_name' => 'vc_row_bg_grad_animate',
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "description"   => wp_kses_post(__("<a href='https://magniumthemes.com/go/purchase-urg/'>PRO version only</a>. Gradient will smoothly flow.", 'urg')),
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] = array(
                "type"          => "dropdown",
                "holder"        => "div",
                "class"         => "hide_in_vc_editor",
                "admin_label"   => false,
                "heading"       => esc_html__("Gradient style", 'urg'),
                "param_name"    => "vc_row_bg_grad_style",
                "value"         => array(
                    esc_html__("Horizontal", 'urg') => "left",
                    esc_html__("Vertical (PRO version)", 'urg')    => "top",
                    esc_html__("Diagonal (PRO version)", 'urg')    => "135deg",
                    esc_html__("Diagonal Reverse (PRO version)", 'urg')    => "45deg"
                ),
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "description"   => "",
                "std"           => "left",
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] = array(
                "type"          => "colorpicker",
                "holder"        => "div",
                "class"         => "hide_in_vc_editor",
                "admin_label"   => false,
                "heading"       => esc_html__("Start color for gradient", 'urg'),
                "param_name"    => "vc_row_color_bggradfrom",
                "description"   => "",
                "std"           => "#ee7752",
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "edit_field_class" => "vc_col-xs-6",
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] = array(
                "type"          => "colorpicker",
                "holder"        => "div",
                "class"         => "hide_in_vc_editor",
                "admin_label"   => false,
                "heading"       => esc_html__("End color for gradient", 'urg'),
                "param_name"    => "vc_row_color_bggradto",
                "description"   => "",
                "std"           => "#23d5ab",
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "edit_field_class" => "vc_col-xs-6",
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] = array(
                "type"          => "colorpicker",
                "holder"        => "div",
                "class"         => "hide_in_vc_editor",
                "admin_label"   => false,
                "heading"       => esc_html__("Middle 1 color for gradient (optional)", 'urg'),
                "param_name"    => "vc_row_color_bggradmiddle_1",
                "description"   => "",
                "std"           => "#e73c7e",
                "description"   => wp_kses_post(__("<a href='https://magniumthemes.com/go/purchase-urg/'>PRO version only</a>", 'urg')),
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "edit_field_class" => "vc_col-xs-6",
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            $attributes[] = array(
                "type"          => "colorpicker",
                "holder"        => "div",
                "class"         => "hide_in_vc_editor",
                "admin_label"   => false,
                "heading"       => esc_html__("Middle 2 color for gradient (optional)", 'urg'),
                "param_name"    => "vc_row_color_bggradmiddle_2",
                "description"   => "",
                "std"           => "#23a6d5",
                "description"   => wp_kses_post(__("<a href='https://magniumthemes.com/go/purchase-urg/'>PRO version only</a>", 'urg')),
                'dependency' => array(
                    'element' => 'vc_row_bg_grad',
                    'value' => 'true',
                ),
                "edit_field_class" => "vc_col-xs-6",
                "group"       => esc_html__("Row gradient", 'urg'),
            );

            // Add params to element
            foreach ($attributes as $attribute) {
                vc_add_param('vc_row', $attribute);
            }

        }
    }
}

new URG_VC_Row_Custom();
